@echo off

echo -------------------------------------- 
echo Schedule Shutdown Batch for Windows
echo Written by Ben Nelan
echo www.youtube.com/user/uploadthedownload
echo --------------------------------------

set /p Time=How long (minutes) until the computer shuts down?:  
set /a Result=60*Time

:OPTION
set /P answer=Are you sure you want to schedule shutdown in %Time% minute/s? [Y/N]?
if /I "%answer%" EQU "Y" goto :SHUTDOWN
if /I "%answer%" EQU "N" goto :CANCEL
goto :OPTION


:SHUTDOWN

Echo Computer has been scheduled to shutdown in %Time% minute/s
shutdown -s -t %Result%

:OPTION2
set /P answer2= Abort shutdown [Y/N]?
if /I "%answer2%" EQU "Y" goto :ABORT
if /I "%answer2%" EQU "N" goto :EXIT
goto :OPTION2

:EXIT
Pause 
Exit

:CANCEL

Echo Shutdown cancelled
Pause 
Exit

:ABORT
shutdown -a
Echo Shutdown cancelled
Pause 
Exit